From: Martin Kepplinger <martin.kepplinger@puri.sm>
Date: Mon, 27 Sep 2021 11:46:51 +0200
Subject: arm64: dts: imx8mq-librem5-devkit: describe sensor connection to
 mipi csi

---
 .../boot/dts/freescale/imx8mq-librem5-devkit.dts    | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/arch/arm64/boot/dts/freescale/imx8mq-librem5-devkit.dts b/arch/arm64/boot/dts/freescale/imx8mq-librem5-devkit.dts
index 3ee19f5..c1c3c28 100644
--- a/arch/arm64/boot/dts/freescale/imx8mq-librem5-devkit.dts
+++ b/arch/arm64/boot/dts/freescale/imx8mq-librem5-devkit.dts
@@ -943,6 +943,27 @@ &lcdif {
 	status = "okay";
 };
 
+&csi1 {
+	status = "okay";
+};
+
+&mipi_csi1 {
+	#address-cells = <1>;
+	#size-cells = <0>;
+	status = "okay";
+
+	ports {
+		port@0 {
+			reg = <0>;
+
+			mipi1_sensor_ep: endpoint {
+				remote-endpoint = <&ov5640_mipi1_ep>;
+				data-lanes = <1 2>;
+			};
+		};
+	};
+};
+
 &mipi_dsi {
 	status = "okay";
 	#address-cells = <1>;
